Bug 105992 - [i915] Could not determine valid watermarks for inherited state
Summary: [i915] Could not determine valid watermarks for inherited state
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-11 16:07 UTC by FadeMind
Modified: 2018-07-02 06:39 UTC (History)
5 users (show)

See Also:
i915 platform: IVB
i915 features: display/watermark


Attachments
dmesg.tar.gz (17.93 KB, application/gzip)
2018-04-11 16:07 UTC, FadeMind
no flags Details
The dmesg as plain text (63.81 KB, text/plain)
2018-04-12 08:42 UTC, Jani Nikula
no flags Details
dmesg-linux417-4.17.r180410.b284d4d-1.log (64.68 KB, text/plain)
2018-04-12 08:56 UTC, FadeMind
no flags Details
dmesg.linux417 4.17.r180422.6d08b06-1-manjaro.log (64.18 KB, text/plain)
2018-04-25 16:18 UTC, FadeMind
no flags Details
dmesg.linux.4.17.r180422.6d08b06-1.drm.debug=0xe.log (112.00 KB, text/plain)
2018-04-26 14:45 UTC, FadeMind
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description FadeMind 2018-04-11 16:07:56 UTC
Created attachment 138762 [details]
dmesg.tar.gz

Manjaro Linux x86_64

[fademind@manjaro ~]$ pacman -Q|grep linux417
linux417 4.17.r180407.f605ba9-1
linux417-bbswitch 0.8-0.2
linux417-nvidia 1:390.48-0.2
linux417-r8168 8.045.08-0.2
[fademind@manjaro ~]$ 


Development version of kernel have some regression in i915:

00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
        Subsystem: ASUSTeK Computer Inc. 3rd Gen Core processor Graphics Controller [1043:1447]
        Kernel driver in use: i915
        Kernel modules: i915

Coredump CUT PART from dmesg


```
[    0.660493] hctosys: unable to open rtc device (rtc0)
[    0.664071] Freeing unused kernel memory: 1456K
[    0.664072] Write protecting the kernel read-only data: 16384k
[    0.665145] Freeing unused kernel memory: 2016K
[    0.668612] Freeing unused kernel memory: 760K
[    0.710475] Linux agpgart interface v0.103
[    0.751937] checking generic (d0000000 300000) vs hw (d0000000 10000000)
[    0.751939] fb: switching to inteldrmfb from EFI VGA
[    0.751955] Console: switching to colour dummy device 80x25
[    0.752030] [drm] Replacing VGA console driver
[    0.755096] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    0.755097] [drm] Driver supports precise vblank timestamp query.
[    0.756627] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=none:owns=io+mem
[    0.777631] ------------[ cut here ]------------
[    0.777633] Could not determine valid watermarks for inherited state
[    0.777714] WARNING: CPU: 3 PID: 161 at drivers/gpu/drm/i915/intel_display.c:14584 intel_modeset_init+0x3ce/0x19d0 [i915]
[    0.777715] Modules linked in: i915(+) intel_gtt i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm agpgart lz4 lz4_compress
[    0.777729] CPU: 3 PID: 161 Comm: modprobe Not tainted 4.17.0-1-MANJARO #1
[    0.777731] Hardware name: ASUSTeK COMPUTER INC. K55VM/K55VM, BIOS K55VM.211 09/11/2012
[    0.777786] RIP: 0010:intel_modeset_init+0x3ce/0x19d0 [i915]
[    0.777787] RSP: 0018:ffffa32381223a58 EFLAGS: 00010286
[    0.777790] RAX: 0000000000000000 RBX: ffff8fcf628a8000 RCX: 0000000000000001
[    0.777791] RDX: 0000000080000001 RSI: 0000000000000096 RDI: 00000000ffffffff
[    0.777792] RBP: ffff8fcf63647c00 R08: 0000000000000048 R09: 0000000000000286
[    0.777794] R10: ffffa32381223898 R11: 0000000000000001 R12: ffff8fcf633dc800
[    0.777795] R13: 00000000ffffffea R14: 0000000000000000 R15: ffff8fcf628a8358
[    0.777797] FS:  00007f05e638cb80(0000) GS:ffff8fcf6eec0000(0000) knlGS:0000000000000000
[    0.777799] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    0.777800] CR2: 00007f1fb5aa3f70 CR3: 000000022306a006 CR4: 00000000001606e0
[    0.777801] Call Trace:
[    0.777856]  i915_driver_load+0xacc/0x1040 [i915]
[    0.777862]  ? acpi_dev_found+0x5f/0x70
[    0.777866]  local_pci_probe+0x42/0xa0
[    0.777869]  ? pci_match_device+0xd9/0x100
[    0.777872]  pci_device_probe+0x146/0x1b0
[    0.777877]  driver_probe_device+0x30b/0x480
[    0.777881]  __driver_attach+0xb8/0xe0
[    0.777883]  ? driver_probe_device+0x480/0x480
[    0.777885]  ? driver_probe_device+0x480/0x480
[    0.777887]  bus_for_each_dev+0x76/0xc0
[    0.777890]  bus_add_driver+0x161/0x260
[    0.777893]  ? 0xffffffffc031e000
[    0.777895]  driver_register+0x57/0xc0
[    0.777897]  ? 0xffffffffc031e000
[    0.777902]  do_one_initcall+0x4e/0x190
[    0.777908]  ? kmem_cache_alloc_trace+0xbc/0x1d0
[    0.777912]  ? do_init_module+0x22/0x205
[    0.777916]  do_init_module+0x5b/0x205
[    0.777919]  load_module+0x26e7/0x2b80
[    0.777925]  ? vfs_read+0x117/0x130
[    0.777930]  ? SyS_finit_module+0xd8/0xf0
[    0.777932]  SyS_finit_module+0xd8/0xf0
[    0.777937]  do_syscall_64+0x74/0x190
[    0.777943]  entry_SYSCALL_64_after_hwframe+0x3d/0xa2
[    0.777945] RIP: 0033:0x7f05e5a69879
[    0.777946] RSP: 002b:00007ffc092ccd38 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[    0.777949] RAX: ffffffffffffffda RBX: 00000000007afe00 RCX: 00007f05e5a69879
[    0.777950] RDX: 0000000000000000 RSI: 00000000007b2290 RDI: 000000000000000c
[    0.777951] RBP: 00000000007b2290 R08: 0000000000000000 R09: 0000000000000000
[    0.777952] R10: 000000000000000c R11: 0000000000000246 R12: 0000000000000000
[    0.777954] R13: 00000000007afce0 R14: 0000000000060000 R15: 0000000000000000
[    0.777956] Code: 00 f7 c6 00 00 18 00 0f 84 3b 0d 00 00 85 c9 0f 94 c1 41 88 8c 24 8d 02 00 00 e9 5a 0b 00 00 48 c7 c7 80 30 26 c0 e8 92 15 ec ec <0f> 0b f0 41 ff 0c 24 0f 88 f9 1c 07 00 75 08 4c 89 e7 e8 0b 59 
[    0.778000] ---[ end trace 472667ba82168aa3 ]---
[    0.784096] [drm] Initialized i915 1.6.0 20180308 for 0000:00:02.0 on minor 0
[    0.784336] ACPI: Video Device [PEGP] (multi-head: yes  rom: yes  post: no)
[    0.785714] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:02/LNXVIDEO:00/input/input3
[    0.787934] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    0.795094] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:01/input/input4
[    0.811283] fbcon: inteldrmfb (fb0) is primary device
[    1.523413] Console: switching to colour frame buffer device 170x48
[    1.544740] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    1.605066] i8042: PNP: PS/2 Controller [PNP030b:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
[    1.606915] i8042: Detected active multiplexing controller, rev 1.1

```
Comment 1 Jani Nikula 2018-04-12 08:42:27 UTC
Created attachment 138779 [details]
The dmesg as plain text
Comment 2 FadeMind 2018-04-12 08:56:23 UTC
Created attachment 138780 [details]
dmesg-linux417-4.17.r180410.b284d4d-1.log
Comment 3 Jani Saarinen 2018-04-25 11:55:39 UTC
Ville, Maarten any advice here?
Comment 4 FadeMind 2018-04-25 16:18:24 UTC
Created attachment 139105 [details]
dmesg.linux417 4.17.r180422.6d08b06-1-manjaro.log

Dmesg from linux417 4.17.r180422.6d08b06-1
Cut Off

[    0.732581] fb: switching to inteldrmfb from EFI VGA
[    0.732597] Console: switching to colour dummy device 80x25
[    0.732664] [drm] Replacing VGA console driver
[    0.736106] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    0.736106] [drm] Driver supports precise vblank timestamp query.
[    0.737566] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=none:owns=io+mem
[    0.758698] ------------[ cut here ]------------
[    0.758700] Could not determine valid watermarks for inherited state
[    0.758814] WARNING: CPU: 6 PID: 158 at drivers/gpu/drm/i915/intel_display.c:14584 intel_modeset_init+0x3ce/0x19d0 [i915]
[    0.758816] Modules linked in: i915(+) intel_gtt i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops drm agpgart lz4 lz4_compress
[    0.758835] CPU: 6 PID: 158 Comm: modprobe Not tainted 4.17.0-1-MANJARO #1
[    0.758837] Hardware name: ASUSTeK COMPUTER INC. K55VM/K55VM, BIOS K55VM.211 09/11/2012
[    0.758914] RIP: 0010:intel_modeset_init+0x3ce/0x19d0 [i915]
[    0.758916] RSP: 0018:ffffb2b1c114fa58 EFLAGS: 00010286
[    0.758919] RAX: 0000000000000000 RBX: ffffa2c962ea8000 RCX: 0000000000000001
[    0.758921] RDX: 0000000080000001 RSI: 0000000000000096 RDI: 00000000ffffffff
[    0.758923] RBP: ffffa2c963782400 R08: 0000000000000048 R09: 0000000000000280
[    0.758925] R10: ffffb2b1c114f898 R11: 0000000000000001 R12: ffffa2c965a9b800
[    0.758927] R13: 00000000ffffffea R14: 0000000000000000 R15: ffffa2c962ea8358
[    0.758930] FS:  00007f56baf50b80(0000) GS:ffffa2c96ef80000(0000) knlGS:0000000000000000
[    0.758932] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    0.758934] CR2: 00007fb04578d2f8 CR3: 00000002230c8003 CR4: 00000000001606e0
[    0.758935] Call Trace:
[    0.759014]  i915_driver_load+0xb4a/0x1050 [i915]
[    0.759023]  ? acpi_dev_found+0x5f/0x70
[    0.759029]  local_pci_probe+0x42/0xa0
[    0.759034]  ? pci_match_device+0xd9/0x100
[    0.759051]  pci_device_probe+0x146/0x1b0
[    0.759072]  driver_probe_device+0x30b/0x480
[    0.759076]  __driver_attach+0xb8/0xe0
[    0.759079]  ? driver_probe_device+0x480/0x480
[    0.759082]  ? driver_probe_device+0x480/0x480
[    0.759085]  bus_for_each_dev+0x76/0xc0
[    0.759090]  bus_add_driver+0x161/0x260
[    0.759093]  ? 0xffffffffc0553000
[    0.759097]  driver_register+0x57/0xc0
[    0.759100]  ? 0xffffffffc0553000
[    0.759105]  do_one_initcall+0x46/0x200
[    0.759113]  ? kmem_cache_alloc_trace+0xbc/0x1d0
[    0.759118]  ? do_init_module+0x22/0x205
[    0.759121]  do_init_module+0x5b/0x205
[    0.759126]  load_module+0x26e7/0x2b80
[    0.759135]  ? __se_sys_finit_module+0xd8/0xf0
[    0.759138]  __se_sys_finit_module+0xd8/0xf0
[    0.759145]  do_syscall_64+0x5b/0x180
[    0.759151]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[    0.759155] RIP: 0033:0x7f56ba62af09
[    0.759156] RSP: 002b:00007ffe74b6af18 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[    0.759160] RAX: ffffffffffffffda RBX: 0000000000ec1e30 RCX: 00007f56ba62af09
[    0.759162] RDX: 0000000000000000 RSI: 0000000000ec43d0 RDI: 000000000000000c
[    0.759163] RBP: 0000000000ec43d0 R08: 0000000000000000 R09: 0000000000000000
[    0.759165] R10: 000000000000000c R11: 0000000000000246 R12: 0000000000000000
[    0.759167] R13: 0000000000ec1d10 R14: 0000000000060000 R15: 0000000000000000
[    0.759171] Code: 00 f7 c6 00 00 18 00 0f 84 3b 0d 00 00 85 c9 0f 94 c1 41 88 8c 24 8d 02 00 00 e9 5a 0b 00 00 48 c7 c7 b8 80 49 c0 e8 b2 d9 c8 c0 <0f> 0b f0 41 ff 0c 24 0f 88 19 1f 07 00 75 08 4c 89 e7 e8 fb 57 
[    0.759232] ---[ end trace 0a2116bbf4497230 ]---
[    0.765676] [drm] Initialized i915 1.6.0 20180308 for 0000:00:02.0 on minor 0
[    0.765856] ACPI: Video Device [PEGP] (multi-head: yes  rom: yes  post: no)
[    0.766780] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:02/LNXVIDEO:00/input/input3
[    0.768872] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    0.776349] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:01/input/input4
[    0.793371] fbcon: inteldrmfb (fb0) is primary device
[    1.564727] Console: switching to colour frame buffer device 170x48
[    1.586297] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
Comment 5 Ville Syrjala 2018-04-26 13:08:36 UTC
Please boot with drm.debug=0xe passed to the kernel cmdline, and attach the resulting dmesg.
Comment 6 FadeMind 2018-04-26 14:45:44 UTC
Created attachment 139136 [details]
dmesg.linux.4.17.r180422.6d08b06-1.drm.debug=0xe.log

dmesg with drm.debug=0xe flag
Comment 7 FadeMind 2018-04-29 09:49:08 UTC
Today I installed: linux417 4.17.r180429.cdface5-2

This version INCLUDING https://patchwork.kernel.org/patch/10366193/ as

0003-intel-could-not-determine-valid-watermarks-for-inherited-state.patch

SRC https://github.com/manjaro/packages-core/tree/master/linux417

Aaand issue is resolved: 
```
(...)
[    0.959483] checking generic (d0000000 300000) vs hw (d0000000 10000000)
[    0.959485] fb: switching to inteldrmfb from EFI VGA
[    0.959500] Console: switching to colour dummy device 80x25
[    0.959566] [drm] Replacing VGA console driver
[    0.966788] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    0.966789] [drm] Driver supports precise vblank timestamp query.
[    0.970932] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=none:owns=io+mem
[    1.041522] [drm] Initialized i915 1.6.0 20180308 for 0000:00:02.0 on minor 0
[    1.041841] ACPI: Video Device [PEGP] (multi-head: yes  rom: yes  post: no)
[    1.043875] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:02/LNXVIDEO:00/input/input3
[    1.046067] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    1.054494] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:01/input/input4
[    1.067034] fbcon: inteldrmfb (fb0) is primary device
[    1.812572] Console: switching to colour frame buffer device 170x48
[    1.834011] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    1.866786] tsc: Refined TSC clocksource calibration: 2294.786 MHz
[    1.866804] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x2113f7e44a7, max_idle_ns: 440795281465 ns
[    1.866848] clocksource: Switched to clocksource tsc
[    1.922472] i8042: PNP: PS/2 Controller [PNP030b:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
[    1.924403] i8042: Detected active multiplexing controller, rev 1.1
[    1.925754] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.925801] serio: i8042 AUX0 port at 0x60,0x64 irq 12
[    1.925846] serio: i8042 AUX1 port at 0x60,0x64 irq 12
[    1.925902] serio: i8042 AUX2 port at 0x60,0x64 irq 12
[    1.925990] serio: i8042 AUX3 port at 0x60,0x64 irq 12
[    1.930544] ACPI: bus type USB registered
(...)
```

Thanks you all developers for great work. 

Best Regards

FadeMind
Comment 8 Jani Saarinen 2018-04-30 07:51:00 UTC
Thanks, closing.
Comment 9 Jani Nikula 2018-04-30 08:53:31 UTC
(In reply to Jani Saarinen from comment #8)
> Thanks, closing.

Hold your horses, the patch hasn't been applied to upstream branches yet!

http://patchwork.freedesktop.org/patch/msgid/20180426163015.14232-1-ville.syrjala@linux.intel.com
Comment 10 Jani Saarinen 2018-04-30 09:15:30 UTC
Fair enough ;)
Comment 11 Jani Nikula 2018-05-03 15:21:55 UTC
commit bd4cd03c81010dcd4e6f0e02e4c15f44aefe12d1
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Thu Apr 26 19:30:15 2018 +0300

    drm/i915: Correctly populate user mode h/vdisplay with pipe src size during readout
Comment 12 Jani Saarinen 2018-05-04 07:21:33 UTC
Reporter, please verify?
Comment 13 FadeMind 2018-05-04 07:39:33 UTC
I already posted confirmation about resolving issue with patch https://patchwork.kernel.org/patch/10366193/ in my previous post (no. 7).

Regards
Comment 14 FadeMind 2018-05-04 07:41:56 UTC
But I did not seen it here jet...

https://cgit.freedesktop.org/~airlied/linux/
Comment 15 Jani Saarinen 2018-05-04 07:50:48 UTC
ok, so you wan't to wait until there.
Comment 16 FadeMind 2018-05-04 08:04:30 UTC
Jani Nikula changed status of report last time, so please ask him ;) On my side after applying patch issue gone. IDK when this patch will be merged in master tree ;) BTW. Some talks was here about patch: https://patchwork.freedesktop.org/patch/218939/


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.